{% load static %}
<html>
<head>
	<title>Story 7</title>

	<!-- file CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href='https://fonts.googleapis.com/css?family=Bree Serif' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'accordion.css' %}">

	<!-- JS, Popper.js, and jQuery -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>

<body class="sct5">
	<a href="{% url 'Story7:home' %}" style="text-decoration:none;color:white; ">
		<i class="fa fa-home hover home"  ></i>
	</a>
		<section class=" center">
		<div class="container">
			<p class="d-flex justify-content-center bold judul1">Get to Know Me</p>
			<p class="d-flex justify-content-center bold judul2">with this interactive maze</p>
			<div class="row">
				<div class="col-md-12">
					<div class="accrdn">
						
						<div class="title-accordion" id="1">
							<div class="row">
								<div class="col-md-8">
									<span id="text1 hover">Pengalaman</span>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnbawah"> Down </button>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnatas"> Up </button>
								</div>
							</div>
							<div class="body-acc" id="body1">
								<div class="col-md-12">
									<p id="content1">tidak ada bro</p>
								</div>
							</div>
						</div>

						<div class="title-accordion" id="2">
							<div class="row">
								<div class="col-md-8">
									<span id="text2">Organisasi</span>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnbawah"> Down </button>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnatas"> Up </button>
								</div>
							</div>
							<div class="body-acc" id="body2">
								<div class="col-md-12">
									<p id="content2">Badan Eksekutif Mahasiswa Fasilkom AMIN!</p>
								</div>
							</div>
						</div>

						<div class="title-accordion" id="3">
							<div class="row">
								<div class="col-md-8">
									<span id="text3">Kepanitiaan</span>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnbawah"> Down </button>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnatas"> Up </button>
								</div>
							</div>
							<div class="body-acc" id="body3">
								<div class="col-md-12">
									<p id="content3">COMPFEST13</p>
								</div>
							</div>
						</div>

						<div class="title-accordion" id="4">
							<div class="row">
								<div class="col-md-8">
									<span id="text4">Prestasi</span>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnbawah"> Down </button>
								</div>
								<div class="col-md-2">
									<button class="btn btn-danger hover" id="btnatas"> Up </button>
								</div>
							</div>
							<div class="body-acc" id="body4">
								<div class="col-md-12">
									<p id="content4">Juara 1 Lomba memasang tandu tingkat kecamatan</p>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
    </section>

    <script type="text/javascript">

		$('.title-accordion').click(function(e){
			e.preventDefault();
			var idb = $(this).attr('id');
			var clb = $('#body'+idb).attr('class');
			if(clb == 'body-acc'){
				$('#body'+idb).addClass('open');
			}else{
                $('#body'+idb).removeClass('open');
                
			}

		})

		$('button').click(function(e){
			e.preventDefault();
			var cl = $(this).attr('id');
			var id =parseInt($(this).parent().parent().parent().attr('id'));
			if(cl == 'btnatas'){
				var atas = id - 1;
				var bawah = id;

				console.log(atas);
				console.log(bawah);
				
				if(atas > 0){
					// id 4 di replace jadi 3

					$('#'+id).attr('id', bawah);
					$('#'+atas).attr('id', atas);

					var textskrg = $('#text'+bawah).html();
					var textganti = $('#text'+atas).html();

					$('#text'+atas).html(textskrg);
					$('#text'+bawah).html(textganti);

					var contentskrg = $('#content'+bawah).html();
					var contentganti = $('#content'+atas).html();

					$('#content'+atas).html(contentskrg);
					$('#content'+bawah).html(contentganti);
				}else{
					alert('sudah paling atas')
				}
			}else{
				var atas = id + 1;
				var bawah = id;

				console.log(atas);
				console.log(bawah);

				if(atas <= 4){
					$('#'+id).attr('id', atas);
					$('#'+atas).attr('id', bawah);

					var textskrg = $('#text'+id).html();
					var textganti = $('#text'+atas).html();

					$('#text'+id).html(textganti);
					$('#text'+atas).html(textskrg);

					var contentskrg = $('#content'+id).html();
					var contentganti = $('#content'+atas).html();

					$('#content'+id).html(contentganti);
					$('#content'+atas).html(contentskrg);

				}else{
					alert('sudah paling bawah')
					
				}
			}
		})
	</script>
    
</body>